@namespace("Switchboard")

protocol Common {

  /** The main User class */
  record User {
    /** The primary key */
    int id;

    /** Their name */
    string name;

    /** The email address of the user */
    string email_address;

    /** An array of the names of all permissions the user has */
    array<string> permissions;
  }

}
